DbEnv::get_lg_dir()
Prev | Chapter 8. The DbLsn Handle | Next

## DbEnv::get_lg_dir()

    #include <db_cxx.h>

    int
    DbEnv::get_lg_dir(const char **dirp);

The `DbEnv::get_lg_dir()` method returns the log directory, which is the location for logging files. You can manage this value using the DbEnv::set_lg_dir() method.

The `DbEnv::get_lg_dir()` method may be called at any time during the life of the application.

The `DbEnv::get_lg_dir()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### dirp

The `DbEnv::get_lg_dir()` method returns a reference to the log directory in dirp.

### Class

DbEnv, DbLogc, DbLsn

### See Also

Logging Subsystem and Related Methods, DbEnv::set_lg_dir()

Prev | Up | Next
DbEnv::get_lg_bsize() | Home | DbEnv::get_lg_filemode()